<?php namespace Newsletter\Builder\RequiredVar;

class TextRequiredVar extends RequiredVar {

	/**
	 * Parse the value to a template value.
	 *
	 * @param mixed $input The original value.
	 *
	 * @return mixed The parsed value, which will be sent to the template.
	 */
	function parse($input) {
		return $input;
	}

	/** @return String The type of the required var. */
	function getType() {
		return static::TEXT;
	}

}